do
	--give it a slash command
	_G["SlashCmdList"]["REALIDTOONS_MAIN"] = function() InterfaceOptionsFrame_OpenToCategory("RealID Toons") end
	_G["SLASH_REALIDTOONS_MAIN1"] = "/ridt"
	
	--localization
	local coloringTitle = "Color by class"
	local coloringDesc = "Colors your RealID friends' character names by class in the alerts"
	local realmTitle = "Add realm names"
	local realmDesc = "Add your RealID friends' realm name to the alerts if they are on a different realm than you"
	local L = GetLocale()
	if L == "esES" then
		coloringTitle = "Color por clase"
		coloringDesc = "Añade el color de la clase en los personajes de tus amigos de RealID en las alertas"
		realmTitle = "Añadir nombre de los reinos"
		realmDesc = "Añade el nombre del reino al RealID de tus amigos si están en un reino distinto al tuyo"
	end
	
	--the actual interface
	local options = CreateFrame("FRAME", "RealID_ToonsConfig", InterfaceOptionsFramePanelContainer)
	options:Hide()
	options.name = "RealID Toons"
	InterfaceOptions_AddCategory(options)
	
	local title = options:CreateFontString("RealID_ToonsConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("RealID Toons")
	
	local optColoring = CreateFrame("CheckButton", "RealID_ToonsConfigButton1", options)
	optColoring:SetWidth(26)
	optColoring:SetHeight(26)
	optColoring:SetPoint("TOPLEFT", 16, -52)
	optColoring:SetScript("OnShow", function(frame)
		if RID_TOONS_COLOR then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optColoring:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_COLOR = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_COLOR = nil
		end
	end)

	optColoring:SetHitRectInsets(0, -100, 0, 0)

	optColoring:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optColoring:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optColoring:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optColoring:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")
	
	local optColoringTitle = optColoring:CreateFontString("RealID_ToonsConfigButton1Title", "ARTWORK", "GameFontHighlight")
	optColoringTitle:SetPoint("LEFT", optColoring, "RIGHT", 0, 1)
	optColoringTitle:SetText(coloringTitle)
	
	local optColoringDesc = optColoring:CreateFontString("RealID_ToonsConfigButton1Desc", "ARTWORK", "GameFontNormal")
	optColoringDesc:SetWidth(350)
	optColoringDesc:SetHeight(30)
	optColoringDesc:SetJustifyH("LEFT")
	optColoringDesc:SetPoint("LEFT", optColoring, "RIGHT", 0, -22)
	optColoringDesc:SetText(coloringDesc)
	
	local optAddRealms = CreateFrame("CheckButton", "RealID_ToonsConfigButton2", options)
	optAddRealms:SetWidth(26)
	optAddRealms:SetHeight(26)
	optAddRealms:SetPoint("TOPLEFT", 16, -115)
	optAddRealms:SetScript("OnShow", function(frame)
		if RID_TOONS_REALM then
			frame:SetChecked(true)
		else
			frame:SetChecked(false)
		end
	end)
	optAddRealms:SetScript("OnClick", function(frame)
		local tick = frame:GetChecked()
		if tick then
			PlaySound("igMainMenuOptionCheckBoxOn")
			RID_TOONS_REALM = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			RID_TOONS_REALM = nil
		end
	end)

	optAddRealms:SetHitRectInsets(0, -100, 0, 0)

	optAddRealms:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	optAddRealms:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	optAddRealms:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	optAddRealms:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local optAddRealmsTitle = optAddRealms:CreateFontString("RealID_ToonsConfigButton2Title", "ARTWORK", "GameFontHighlight")
	optAddRealmsTitle:SetPoint("LEFT", optAddRealms, "RIGHT", 0, 1)
	optAddRealmsTitle:SetText(realmTitle)
	
	local optAddRealmsDesc = optAddRealms:CreateFontString("RealID_ToonsConfigButton2Desc", "ARTWORK", "GameFontNormal")
	optAddRealmsDesc:SetWidth(350)
	optAddRealmsDesc:SetHeight(30)
	optAddRealmsDesc:SetJustifyH("LEFT")
	optAddRealmsDesc:SetPoint("LEFT", optAddRealms, "RIGHT", 0, -22)
	optAddRealmsDesc:SetText(realmDesc)
end